{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Users with pull access in a repository can view commit statuses for a given ref. The ref can be a SHA, a branch name, or a tag name. Statuses are returned in reverse chronological order. The first status in the list will be the latest one.\n\nThis resource is also available via a legacy route: `GET /repos/:owner/:repo/statuses/:ref`.","properties":{"path":{"type":"object","properties":{"owner":{"type":"string","description":"The account owner of the repository. The name is not case sensitive."},"repo":{"type":"string","description":"The name of the repository without the `.git` extension. The name is not case sensitive."},"ref":{"type":"string","description":"The commit reference. Can be a commit SHA, branch name (`heads/BRANCH_NAME`), or tag name (`tags/TAG_NAME`). For more information, see \"[Git References](https://git-scm.com/book/en/v2/Git-Internals-Git-References)\" in the Git documentation."}},"required":["owner","repo","ref"],"additionalProperties":false},"query":{"type":"object","properties":{"per_page":{"type":"integer","default":30,"description":"The number of results per page (max 100). For more information, see \"[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api).\""},"page":{"type":"integer","default":1,"description":"The page number of the results to fetch. For more information, see \"[Using pagination in the REST API](https://docs.github.com/rest/using-the-rest-api/using-pagination-in-the-rest-api).\""}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false},"name":"List commit statuses for a reference","id":"github.repos.list-commit-statuses-for-ref","example":{"path":{"owner":"octocat","repo":"hello-world","ref":"heads/main"}},"maxRequests":1,"summary":false}}